Bug 1282558 - Unable to select lots of hosts from the GUI (cannot select > 50 hosts at a time)
Unable to select lots of hosts from the GUI (cannot select > 50 hosts at a time)
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.1.3
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: Amir
Adam Ruzicka
http://projects.theforeman.org/issues...
: Triaged
: 1132397 (view as bug list)
Depends On:
Blocks: 1132363 1287901
  Show dependency treegraph
 
Reported: 2015-11-16 13:06 EST by Jacob Hunt
Modified: 2017-09-14 15:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verification video (1.29 MB, application/octet-stream)
2017-08-02 07:40 EDT, Adam Ruzicka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16043 None None None 2016-08-10 07:01 EDT

  None (edit)
Description Jacob Hunt 2015-11-16 13:06:03 EST
Description of problem:

I have changed the hosts per page option to 50 but when searching for lots of hosts for group editing I still cannot select > 50 hosts at a time. There should be a way to select ALL matching hosts from any page for bulk editing.
This becomes very tedious to edit lots of hosts especially when I have multiple thousands of hosts to edit. (e.g. put them into build mode or change their location)
There is also no easy way to do this via hammer. The only way I could find to do it was to use hammer to search for the hosts I wanted, save that information to a file, and then loop through the file and run hammer update commands on each one.


Version-Release number of selected component (if applicable):

Satellite 6.1.3

How reproducible:

always
Comment 4 Daniel Lobato Garcia 2016-08-10 06:47:36 EDT
Created redmine issue http://projects.theforeman.org/issues/16043 from this bug
Comment 5 Bryan Kearney 2016-08-10 08:10:40 EDT
Upstream bug component is WebUI
Comment 7 pm-sat@redhat.com 2017-01-18 10:03:22 EST
Upstream bug assigned to afeferku@redhat.com
Comment 8 pm-sat@redhat.com 2017-04-03 08:05:24 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16043 has been resolved.
Comment 9 Bryan Kearney 2017-04-10 16:03:59 EDT
*** Bug 1132397 has been marked as a duplicate of this bug. ***
Comment 10 Adam Ruzicka 2017-08-02 07:40 EDT
Created attachment 1308142 [details]
verification video

Verified.
Satellite-6.3 Snap 9
Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch

The user can now easily select all hosts in matching the current search query. See attachment

Note You need to log in before you can comment on or make changes to this bug.